org.eclipse.rdf4j.rio.n3

## Class N3Parser

- java.lang.Object
- - org.eclipse.rdf4j.rio.helpers.AbstractRDFParser
  - - org.eclipse.rdf4j.rio.turtle.TurtleParser
    - - org.eclipse.rdf4j.rio.n3.N3Parser

- All Implemented Interfaces:
    RDFParser

      public class N3Parser
      extends TurtleParser

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `RDFParser.DatatypeHandling`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `object, predicate, subject`

    - ### Fields inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `rdfHandler, valueFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `N3Parser()` Creates a new N3Parser that will use a `SimpleValueFactory` to create RDF model objects.
    `N3Parser(ValueFactory valueFactory)` Creates a new N3Parser that will use the supplied ValueFactory to create RDF model objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected IRI` | `parsePredicate()`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.turtle.TurtleParser

      `getLineNumber, getRDFFormat, getSupportedSettings, parse, parse, parseAnnotation, parseBase, parseCollection, parseDirective, parseImplicitBlank, parseLongString, parseNodeID, parseNumber, parseObject, parseObjectList, parsePredicateObjectList, parsePrefixID, parseQNameOrBoolean, parseQuotedLiteral, parseQuotedString, parseStatement, parseString, parseSubject, parseTriples, parseTripleValue, parseURI, parseValue, peekCodePoint, peekIsTripleValue, processComment, readCodePoint, reportError, reportFatalError, reportFatalError, reportLocation, reportStatement, reportWarning, skipWSC, throwEOFException, unread, unread, verifyCharacterOrFail`

    - ### Methods inherited from class org.eclipse.rdf4j.rio.helpers.AbstractRDFParser

      `clear, clearBNodeIDMap, createBNode, createBNode, createLiteral, createLiteral, createNode, createNode, createStatement, createStatement, createURI, datatypeHandling, getNamespace, getParseErrorListener, getParseLocationListener, getParserConfig, getRDFHandler, initializeNamespaceTableFromConfiguration, preserveBNodeIDs, reportError, reportError, reportError, reportError, reportFatalError, reportFatalError, reportFatalError, reportLocation, reportWarning, resolveURI, set, setBaseURI, setBaseURI, setDatatypeHandling, setNamespace, setParseErrorListener, setParseLocationListener, setParserConfig, setPreserveBNodeIDs, setRDFHandler, setStopAtFirstError, setValueFactory, setVerifyData, stopAtFirstError, verifyData`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.rio.RDFParser

      `parse, parse`

- - ### Constructor Detail

    - #### N3Parser

          public N3Parser()

      Creates a new N3Parser that will use a `SimpleValueFactory` to create RDF model objects.

    - #### N3Parser

          public N3Parser(ValueFactory valueFactory)

      Creates a new N3Parser that will use the supplied ValueFactory to create RDF model objects.
      Parameters:
        `valueFactory` - A ValueFactory.

  - ### Method Detail

    - #### parsePredicate

          protected IRI parsePredicate()
                                throws IOException,
                                       RDFParseException,
                                       RDFHandlerException

      Overrides:
        `parsePredicate` in class `TurtleParser`
      Throws:
        `IOException`
        `RDFParseException`
        `RDFHandlerException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.